LibreOffice: XChartShape Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Member Functions | List of all members
XChartShape Interface Reference

this interface is used for a wrapper of objects implementing the service com::sun::star::drawing::Shape More...

`import"XChartShape.idl";`

Inheritance diagram for XChartShape:

## Public Member Functions
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| the method corresponds to the identical methods of the interface com::sun::star::beans::XPropertySet More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| the method corresponds to the identical methods of the interface com::sun::star::beans::XPropertySet More...
com::sun::star::awt::Point | getPosition ()
| the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape More...
com::sun::star::awt::Size | getSize ()
| the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape More...
string | getShapeType ()
| the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape ??????????? deprecated More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

this interface is used for a wrapper of objects implementing the service com::sun::star::drawing::Shape

## Member Function Documentation

## § getPosition()

com::sun::star::awt::Point getPosition | ( |  | ) |

the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape

## § getPropertyValue()

any getPropertyValue | ( | [in] string | PropertyName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

the method corresponds to the identical methods of the interface com::sun::star::beans::XPropertySet

## § getShapeType()

string getShapeType | ( |  | ) |

the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape ??????????? deprecated

## § getSize()

com::sun::star::awt::Size getSize | ( |  | ) |

the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape

## § setPosition()

void setPosition | ( | [in] com::sun::star::awt::Point | aPosition | ) |

the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape

## § setPropertyValue()

void setPropertyValue | ( | [in] string | aPropertyName,
|  | [in] any | aValue
| ) |  |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::beans::PropertyVetoException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

the method corresponds to the identical methods of the interface com::sun::star::beans::XPropertySet

## § setSize()

void setSize | ( | [in] com::sun::star::awt::Size | aSize | ) |
raises | ( | com::sun::star::beans::PropertyVetoException
| ) |  |

the method corresponds to the identical methods of the interface com::sun::star::drawing::XShape

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XChartShape.idl